<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = 0;
	echo json_encode($response);
	exit();
}

require_once("../includes/MySQL.php");
require_once("../includes/funciones_buscador.php");
                                                                          
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$examp = $_REQUEST["q"]; //query number

$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction
if(!$sidx) $sidx =1;

$totalrows = isset($_REQUEST['totalrows']) ? $_REQUEST['totalrows']: false;
if($totalrows) {$limit = $totalrows;}

$wh = "";
$searchOn = Strip($_REQUEST['_search']);
if($searchOn=='true') {
	$searchstr = Strip($_REQUEST['filters']);
	//$wh= constructWhere($searchstr);
	$jsona = json_decode($searchstr,true);
	$wh =  " AND ".getStringForGroup($jsona);
	//var_dump($wh);
	//echo $ss;
}
//echo $fld." : ".$wh;
// connect to the database
		
		$cons="SELECT COUNT(*) AS count FROM aca_areas  WHERE 1=1 ".$wh;
		$academia->instruccion($cons);
		$row = $academia->extraer_registro();
		$count = $row['count'];
		$academia->liberar();
		if( $count >0 ) {
			$total_pages = ceil($count/$limit);
		} else {
			$total_pages = 0;
		}
        if ($page > $total_pages) $page=$total_pages;
		$start = $limit*$page - $limit; // do not put $limit*($page - 1)
        if ($start<0) $start = 0;
		
        $SQL = "SELECT * FROM aca_areas WHERE 1=1 ".$wh." ORDER BY ".$sidx." ".$sord. " LIMIT ".$start." , ".$limit;

		$academia->instruccion($SQL);
		
		$responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;
        $i=0;
		while($row = $academia->extraer_registro()) {
            $responce->rows[$i]['id']=$row[cod_area];
			$responce->rows[$i]['cell']=array($row[nom_area]);
            $i++;
		} 

        echo json_encode($responce);         

$academia->cerrar();

?>
